
/* clock.c */
void do_stuff(void);
void do_otherstuff(void);
int main(int argc, char **argv);
/* lcd.c */
void jmp(void);
void OUT(unsigned char d, int p);
unsigned char IN(int p);
unsigned char *bin(int v);
int lcd_mapbut(unsigned char a);
int lcd_readbuts_worker(Lcd l);
int lcd_readbuts(Lcd l);
int lcd_wait_for_but(Lcd l);
void lcd_wr_blind(Lcd l, unsigned char d, int a);
void delay(void);
void wait_busy(Lcd l);
void lcd_wr(Lcd l, unsigned char d, int a);
void lcd_wr_buf(Lcd l, unsigned char *d, int len);
void lcd_wr_str(Lcd l, unsigned char *d);
unsigned char init_byte(Lcd l);
void lcd_pos(Lcd l, int x, int y);
void lcd_cls(Lcd l);
void lcd_emode_ctl(Lcd l, int dir, int follow);
void lcd_dpy_ctrl(Lcd l, int onoff, int curs, int blink);
void lcd_reset(Lcd l);
int probe_port(Lcd l);
void check_bidir(Lcd l);
Lcd lcd_open(struct Lcd_struct ls);
void lcd_close(Lcd l);
int lcd_printf(Lcd l, char *format, ...);
